Package org.opensaml.saml.saml2.core

# Interface Advice

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AdviceImpl`

public interface Advice extends SAMLObject
SAML 2.0 Core Advice.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRef>`
`getAssertionIDReferences()`
Gets the list of AssertionID references used as advice.
`List<Assertion>`
`getAssertions()`
Gets the list of Assertions used as advice.
`List<AssertionURIRef>`
`getAssertionURIReferences()`
Gets the list of AssertionURI references used as advice.
`List<XMLObject>`
`getChildren()`
Gets the list of all child elements attached to this advice.
`List<XMLObject>`
`getChildren(QName typeOrName)`
Gets the list of child elements attached to this advice that match a particular QName.
`List<EncryptedAssertion>`
`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as advice.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getChildren

@Nonnull @Live List<XMLObject> getChildren()
Gets the list of all child elements attached to this advice.

Returns:
  the list of all child elements attached to this advice

### getChildren

@Nonnull @Live List<XMLObject> getChildren(@Nonnull QName typeOrName)
Gets the list of child elements attached to this advice that match a particular QName.

Parameters:
  `typeOrName` - the QName of the child elements to return
Returns:
  the list of matching child elements attached to this advice

### getAssertionIDReferences

@Nonnull @Live List<AssertionIDRef> getAssertionIDReferences()
Gets the list of AssertionID references used as advice.

Returns:
  the list of AssertionID references used as advice

### getAssertionURIReferences

@Nonnull @Live List<AssertionURIRef> getAssertionURIReferences()
Gets the list of AssertionURI references used as advice.

Returns:
  the list of AssertionURI references used as advice

### getAssertions

@Nonnull @Live List<Assertion> getAssertions()
Gets the list of Assertions used as advice.

Returns:
  the list of Assertions used as advice

### getEncryptedAssertions

@Nonnull @Live List<EncryptedAssertion> getEncryptedAssertions()
Gets the list of EncryptedAssertions used as advice.

Returns:
  the list of EncryptedAssertions used as advice